from django.urls import path, include
from rest_framework import routers

from dbsynce.apiviews import *

router = routers.DefaultRouter()
router.register(r'client', ClientMVS)
router.register(r'company', CompanyMVS)
router.register(r'documents', DocumentsMVS)
router.register(r'orders', OrdersMVS)
router.register(r'permissions', PermissionsMVS)
router.register(r'provider', ProviderMVS)
router.register(r'relationship', RelationshipMVS)
router.register(r'resource', ResourceMVS)
router.register(r'service', ServiceMVS)
router.register(r'service_category', ServiceCategoryMVS)


api_v2_patterns = [
    path('groups/<str:group_name>/users', GroupUsersAPIView.as_view(), name='group-users'),
    path('tickets/<int:ticket_id>/assigned_to', TicketAsignedToAPIView.as_view(), name='ticket-asigned-to'),
]

urlpatterns = [
    path('api/', include(router.urls), name="dbsynced"),
    path("api/v2/", include(api_v2_patterns)),
]
